%define pkgname liberation-fonts-ttf
%define date 20100721
%define oname liberation-fonts
%define archivename %{oname}-ttf-%{version}
%define catalogue %{_sysconfdir}/X11/fontpath.d
%define fontname liberation
%define _fondir  %{_datadir}/fonts/TTF/liberation

Summary: Fonts to replace commonly used Microsoft Windows Fonts
Name: fonts-ttf-liberation
Version: 1.07.2
Release: %mkrel 1
# The license of the Liberation Fonts is a EULA that contains 
# GPLv2 and two exceptions:
# The first exception is the standard FSF font exception.
# The second exception is an anti-lockdown clause somewhat like
# the one in GPLv3. This license is Free, but GPLv2 and GPLv3
# incompatible.
License: GPLv2 + font exception
Group: System/Fonts/True type
URL: https://fedorahosted.org/liberation-fonts/
Source0: https://fedorahosted.org/releases/l/i/liberation-fonts/%{archivename}.tar.gz
Source1:  generate.pe
BuildArch: noarch
BuildRequires: ttmkfdir
BuildRequires: fontforge
BuildRequires: mkfontdir
BuildRequires: mkfontscale

%description
The Liberation Fonts are intended to be replacements for the three
most commonly used fonts on Microsoft systems: Times New Roman,
Arial, and Courier New.

%prep
%setup -q -n %{archivename}
rm -rf scripts
cp %{SOURCE1} .
chmod 755 generate.pe

%build
#./generate.pe *.sfd

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/TTF/liberation
install -m 644 *.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/TTF/liberation
ttmkfdir $RPM_BUILD_ROOT%{_datadir}/fonts/TTF/liberation > $RPM_BUILD_ROOT%{_datadir}/fonts/TTF/liberation/fonts.dir
ln -s fonts.dir $RPM_BUILD_ROOT%{_datadir}/fonts/TTF/liberation/fonts.scale

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/TTF/liberation \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-liberation:pri=50

# fonts.{dir,scale}
mkfontdir %{buildroot}%{_fontdir}
mkfontscale %{buildroot}%{_fontdir}

%files
%doc License.txt COPYING
%dir %{_datadir}/fonts/TTF/liberation
%{_datadir}/fonts/TTF/liberation/*.ttf
%verify(not mtime) %{_datadir}/fonts/TTF/liberation/fonts.dir
%{_datadir}/fonts/TTF/liberation/fonts.scale
%{_sysconfdir}/X11/fontpath.d/ttf-liberation:pri=50


%changelog

* Fri Mar 09 2012 tv <tv> 1.07.2-1.mga2
+ Revision: 222305
- new release

* Mon Jan 16 2012 dmorgan <dmorgan> 1.07.1-2.mga2
+ Revision: 197088
- Fix dead symlink ( ycheny)

* Wed Jan 04 2012 tv <tv> 1.07.1-1.mga2
+ Revision: 190218
- simplify build
- fix build
- new release
- new release

* Fri Jun 17 2011 ahmad <ahmad> 1.07.0-1.mga2
+ Revision: 108634
- Update to 1.07.0
- Drop patch1, fixed upstream

* Sun Mar 13 2011 boklm <boklm> 1.06.0-5.mga1
+ Revision: 70797
- rebuild for new rpm-mageia-setup

* Mon Jan 24 2011 dmorgan <dmorgan> 1.06.0-4.mga1
+ Revision: 37678
- Re enable buildrequires
  aka "Ooooops i did it again"
- Fix install
- Fix install
- Fix buildrequires
- Add missing macro
- Update to version 1.06.0 ( from fedora )

* Thu Jan 20 2011 pterjan <pterjan> 1.05.2-4.mga1
+ Revision: 25829
- Rebuild due to yesterday's BS breakage

* Thu Jan 20 2011 pterjan <pterjan> 1.05.2-3.mga1
+ Revision: 25077
- Require ttmkfdir instead of freetype-tools
- imported package fonts-ttf-liberation

